version: '3.4'

services:
  mongodb:
    image: aashreys/mongo-auth:latest
    ports:
      - "27017:27017"
    volumes:
      - ./mongodb-data:/data/db
      - /etc/localtime:/etc/localtime:ro
    environment:
      - AUTH=yes
      - MONGODB_ADMIN_USER=admin
      - MONGODB_ADMIN_PASS=admin
      - MONGODB_APPLICATION_DATABASE=app
      - MONGODB_APPLICATION_USER=app
      - MONGODB_APPLICATION_PASS=app

  app:
    build: .
    ports:
      - "5000:5000"
    depends_on:
      - mongodb
    volumes:
      - .:/usr/src/app
      - /etc/localtime:/etc/localtime:ro
    working_dir: "/usr/src/app"
    restart: on-failure:5
    env_file:
      - .env
    environment:
      - LANG=C.UTF-8
      - FLASK_APP=run.py
      - APP_ENVIRONMENT=development
      - APP_DOMAIN=${APP_DOMAIN}
      - APP_URL=https://${APP_DOMAIN}
      - APP_ADMIN=${APP_ADMIN}
      - APP_FROM=${APP_FROM}
      - APP_REGISTER=${APP_REGISTER}
      - APP_URL_PROVIDER_VERIFICATION=yes
      - APP_FORWARD_REWARD_SECONDS=10
      - APP_MAIL_SENDING=yes
      - APP_MAIL_PROVIDER=SMTP
      - SMTP_SERVER=${SMTP_SERVER}
      - SMTP_PORT=${SMTP_PORT}
      - SMTP_USERNAME=${SMTP_USERNAME}
      - SMTP_PASSWORD=${SMTP_PASSWORD}
      - SMTP_USE_TLS=${SMTP_USE_TLS}
      - TMDB_API=${TMDB_API}
      - CHATBRO_ID=${CHATBRO_ID}
      - CHATBRO_ANTISPOOFING_KEY=${CHATBRO_ANTISPOOFING_KEY}
      - RECAPTCHA_PUBLIC_KEY=${RECAPTCHA_PUBLIC_KEY}
      - RECAPTCHA_PRIVATE_KEY=${RECAPTCHA_PRIVATE_KEY}
